Update a checklist item Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PATCH /api/v1/checklist-item/{checklistItem_uuid}

Path parameters

  • checklistItem_uuid string Required
  • checklistItem string Required

    The UUID of the checklist item.

application/json

Body

  • name string

    The updated label for the checklist item.

  • is_checked boolean

    Whether the item has been checked off.

  • order integer

    The display order of the item within its checklist.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The label of the checklist item.

    • is_checked boolean

      Whether the item has been checked off.

    • checked_at string

      The date and time the item was checked off.

    • checked_by object

      The account that checked off the item.

      Hide checked_by attributes Show checked_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • order integer

      The display order of the item within its checklist.

PATCH /api/v1/checklist-item/{checklistItem_uuid}
curl \
 --request PATCH 'https://api.plannrcrm.com/api/v1/checklist-item/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Send calendar invite","is_checked":true,"order":0}'
Request examples
{
  "name": "Send calendar invite",
  "is_checked": true,
  "order": 0
}
Response examples (200)
{
  "uuid": "b702307e-55dd-466c-8b39-32685427e528",
  "created_at": "2026-06-24T11:04:25+01:00",
  "updated_at": "2026-06-24T11:04:25+01:00",
  "name": "Send calendar invite",
  "is_checked": false,
  "checked_at": "2021-01-01 00:00:00",
  "checked_by": {
    "uuid": "66be1ed4-445b-4a3b-bf25-7acede3c2e1c",
    "created_at": "2026-06-24T11:04:25+01:00",
    "updated_at": "2026-06-24T11:04:25+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-24T11:04:25+01:00",
    "next_review_date": "2026-06-24T11:04:25+01:00",
    "previous_review_date": "2026-06-24T11:04:25+01:00",
    "anniversary_review_date": "2026-06-24T11:04:25+01:00",
    "terms_of_business_at": "2026-06-24T11:04:25+01:00",
    "client_agreement_at": "2026-06-24T11:04:25+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-24",
    "last_interaction_at": "2026-06-24 11:04:25",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "order": 0
}